import request from "@/utils/request";

export function getEngineeIndustryList({type, enginType ='',}) {
  return request({
    url: `/zdsz/engineeringIndustry/list?type=${type}&enginType=${enginType}`,
    method: 'get',
  })
}

export function addEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringIndustry',
    method: 'post',
    data
  })
}

export function putEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringIndustry/${id}`,
    method: 'get',

  })
}

export function EditEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringIndustry',
    method: 'put',
    data
  })
}

export function DelEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringIndustry/${id}`,
    method: 'delete',
  })
}


